# Function unnestR

- unnestR(memo: any, elem: any): any

  Reduce function which un-nests a single level of arrays

  #### Parameters

  - memo: any
  - elem: any

  #### Returns any

  #### Example

      let input = [ [ "a", "b" ], [ "c", "d" ], [ [ "double", "nested" ] ] ];
      input.reduce(unnestR, []) // [ "a", "b", "c", "d", [ "double, "nested" ] ]

  - Defined in src/shared/common.js:278